RSGP - Bug #2450

[HR-Time Management] Absent Quota - Scenario periode kuota cuti
12/13/2023 03:12 PM - Johanes Christian Kurni

Status: Closed Start date: 12/13/2023
Priority: High Due date:

Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 32.00 hours

Description

Dear
Azid,

Berikut ini adalah data beberapa employe dengan scenario data kuota cuti:

StartDate | EndDate |EmployeelD | AbsenceQuotaType |Sequence | StartDeduction | EndDeduction | OriginalQuota | RemainQuota | PreviousQuota | ExpiredQuota
20220106 20230105 00000010 02 1 20220106 99991231 12 ] 2 99991231
20230106 | 20240105( 00000010 02 1 20230106 99991231 12 12 99991231
20230214 | 20240213 00000011 02 s 20230214 99991231 12 1] 1] 99991231
20240214 | 20250213 00000011 02 ik 20240214 99991231 12 12 1] 99991231
20230207 | 20240206( 00000012 02 1 20230207 99991231 12 1] -5 99991231
20240207 | 20250206 00000012 02 : 20240207 99991231 12 12 99991231

Scenario data ini yang akan dipake untuk melakukan pengajuan ess sesuai dengan employeelD yang sudah dibikin datanya.

Port: http://remote.minovais.com:31144/
Server: remote.minovais.com, 1442
DB: MinovaES_RSGP_Dev

Terima Kasih.

History

#1 - 12/13/2023 03:31 PM - Johanes Christian Kurni
- File clipboard-202312131530-xb5g2.png added

Revisi scenario data:

StartDate | EndDate |EmployeelD | AbsenceQuotaType |Sequence | StartDeduction | EndDeduction | OriginalQuota | RemainQuota | PreviousQuota | ExpiredQuota
20220221|20230220( 00000010 02 1 20220221 99991231 12 1] 2 99991231
20230221 |20240220( 00000010 02 1 20230221 99991231 12 12 99991231
20230214 | 20240213 | 00000011 02 1 20230214 99991231 12 1] 1] 95991231
20240214 | 20250213 00000011 02 1 20240214 99991231 12 12 o 99991231
20230207 | 20240206 00000012 02 1 20230207 99991231 12 ] -5 99991231
20240207 | 20250206 00000012 02 i1 20240207 99991231 12 12 99991231

#2 - 12/13/2023 03:51 PM - Kezia Pawitra Yulianti

- Jika ada hiring baru (belum punya kuota) dan ingin ambil cuti maka field Start date Quota dan End date Quota akan terisi 1 tahun 3 bulan dari hiring
date yg ada di PA15 (Contoh hiring 11 Feb 2023, maka start date quota adalah 11 Mei 2024 dan end date quota 10 Mei 2025) dan kemudian
Remaining Kuota otomatis terisi -1

#3 - 12/13/2023 05:00 PM - Johanes Christian Kurni
- File clipboard-202312131657-emtbs.png added
- File clipboard-202312131700-fbgbw.png added
http://remote.minovais.com:31144/

Revisi Scenario data:

StartDate EndDate |EmployeelD|AbsenceQuotaType |Sequence | StartDeduction | EndDeduction | OriginalQuota | RemainQuota | PreviousQuota | ExpiredQuota

20230221 | 20240220 00000010 02 1 20230221 99991231 12 3 0 99991231
20230214 | 20240213 00000011 02 1 20230214 99991231 12 0 0 99991231
20230207 | 20240206 00000012 02 1 20230207 99991231 12 -5 0 99991231

Ini untuk employe baru yang akan mendapat kan quota cuti setelah 1 tahun 3 bulan. Start date dan end date akan dipake di PA18 jika dia
mangejukan cuti karna pasti akan minus sebab belum punya kuota cuti.

Hiring Date | StartDate | EndDate | EmployeelD | AbsenceQuotaType [ Sequence | StartDeduction | EndDeduction | OriginalQuota | RemainQuota | PreviousQuota | ExpiredQuota
20230701 | 20241001 |20250930] 00000046 02 1 20241001 99991231 12 12 o 99991231

#4 - 01/03/2024 08:30 AM - M Azid Wahyudi

- File clipboard-202401030825-tym38.png added
- File clipboard-202401030825-4dca9.png added
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo , udah bisa di test ya

pengambilan cuti pa 18:

tQ7LODMAXUSK: O Ucioa7/i+]RhLJjQVu+lw== £ Incognito

My Workplace ~ Human Resource System Administration Search... Q  Hep I Azd -
Time Data
« Save successfull x
Employee Overview - 00000010 - Reno Hadi Sastrio ~@AQDn
Employee ID: 00000010 Company 1D: Rumah Sakit GADING PLUIT
Full Name: Reno Hadi Sastrio Employee Office: LABORATORIUM
Employee Status: Active QOrganization:
Employee Type: Tetap Position:

Employee Detail

Work Schedule Personal WS Attendance Absence Quota Overtime Attendance Detail
Action Clear Filters
Start Date End Date Absence Type Notes  Total Absence Taken Previous Quota Previous Remaining Quota Total Remaining Quota
0B/01/2024  11/01/2024 02 4 3 0 n

quota cuti pal7 :
w Minova ES | Time Data

&« c A\ Notsecure il 27LQDfXUSK20NYXpCDO el /YQjImDVKx tUcioa7/i+jRhLQVU+iw== w a & Incognito

MyWorkplace  Human Resource  System Administration Search Q  Heip I Azid -

Time Data

Q &
I My Workplace

W« Save successfull x
: ::::Z::;:::::::t Employee Overview - 00000010 - Reno Hadi Sastrio ~s@afB
e e e S
Import Time Data Employee Status: Active Organization:
Export Time Data Employee Type: Tetap Position:

(:Iz:::u s Employee Detail

Generata Absanca Quota Work Schedule Personal WS Attendance Absence Overtime Attendance Detail

.G:::‘:e::m‘lws Start Date End Date Absence Quota Type Start Deduction  Previous Quota  End Deduction  Original Quota  Remaining Quota  ExpiredQuota  Notes

W Payroll Administration 21/02/2023 20/02/2024 Cuti Tahunan Karyawan Non Shift 21/02/2023 2} 31/12/9999 12 n 31/12/9999

B Payroll Accounting
B System Administration
package :
untuk Ul di HR (PCMFUNC)
- fnHitungAbsen2
untuk backend
- MinovalS.MinovaES.Implementation.RSGP.TM.Validation (API1 & API2)
settingan DB daftarin di
- PCMEPSYSACTMETH
makasih
#5 - 01/03/2024 08:54 AM - Kezia Pawitra Yulianti
coba jo test juga untuk absence type dgn deduc N, harusnya gak bisa kalau minus.
Jangan sampai validasi minus nya ilang karena cuti tahunan bisa minus ya
Tks
#6 - 01/03/2024 02:17 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed
Done
